Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 427022 - sys-power/powernowd - Use of the opts variable
Summary: sys-power/powernowd - Use of the opts variable
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mobile Herd (OBSOLETE)
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: init.d-depr-opts
  Show dependency tree
 
Reported: 2012-07-17 19:00 UTC by Alex Barker
Modified: 2012-10-17 23:54 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
powernowd.initd (powernowd.initd,675 bytes, text/plain)
2012-07-17 19:00 UTC, Alex Barker
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Barker 2012-07-17 19:00:11 UTC
Please update to -r1 with attached init file.

Reproducible: Always
Comment 1 Alex Barker 2012-07-17 19:00:37 UTC
Created attachment 318484 [details]
powernowd.initd
Comment 2 Jeroen Roovers gentoo-dev 2012-07-18 16:42:10 UTC
Comment on attachment 318484 [details]
powernowd.initd

--- files/powernowd.initd       2009-10-16 23:00:55.000000000 +0200
+++ -   2012-07-18 18:41:58.587001406 +0200
@@ -3,7 +3,7 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/sys-power/powernowd/files/powernowd.initd,v 1.1 2009/10/16 21:00:55 bangert Exp $
 
-opts="reload"
+extra_started_commands="reload"
 
 depend() {
        need localmount
Comment 3 Jeroen Roovers gentoo-dev 2012-10-09 20:28:09 UTC
`reload' doesn't seem to do anything for me. Why not throw it out entirely?

Index: files/powernowd.initd
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-power/powernowd/files/powernowd.initd,v
retrieving revision 1.1
diff -u -B -r1.1 powernowd.initd
--- files/powernowd.initd       16 Oct 2009 21:00:55 -0000      1.1
+++ files/powernowd.initd       9 Oct 2012 20:27:39 -0000
@@ -3,8 +3,6 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/sys-power/powernowd/files/powernowd.initd,v 1.1 2009/10/16 21:00:55 bangert Exp $
 
-opts="reload"
-
 depend() {
        need localmount
        use logger
@@ -21,9 +19,3 @@
        start-stop-daemon --stop --exec /usr/sbin/powernowd
        eend $?
 }
-
-reload() {
-       ebegin "Reloading powernowd"
-       start-stop-daemon --stop --oknodo --exec /usr/sbin/powernowd --signal HUP
-       eend $?
-}
Comment 4 Jeroen Roovers gentoo-dev 2012-10-17 23:54:32 UTC
Fixed in files/powernowd.initd (for both 1.00 and 1.00-r1).